Bug 224542 - Install fails to recognize drives on compaq dl380 with smartarray
Install fails to recognize drives on compaq dl380 with smartarray
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-01-26 03:13 EST by Yanko Kaneti
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-01 03:35:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 7279 None None None Never

  None (edit)
Description Yanko Kaneti 2007-01-26 03:13:41 EST
+++ This bug was initially created as a clone of Bug #186978 +++

Description of problem:

Anaconda fails to recognize the SCSI drive on a Compaq DL380 with Integrated 
Smart Array Controller. It appears to load a driver for the array controller 
but fails to see the drive(s). FC4 auto-loads "cpqarray". I can select the 
cpqarray driver manually, but to no avail. 

Version-Release number of selected component (if applicable):
See attached

How reproducible: 
every time

Steps to Reproduce:
1.Insert CD #1
2.Wait for installation target to be detected
3.Experience no drives.
Actual results:
No drives detected

Expected results:
Drives detected

Additional info:
Installing FC4 goes without a hitch on the same servers.

-- Additional comment from kurt@cpifiber.com on 2006-03-27 14:39 EST --
Created an attachment (id=126846)
Hardware info

-- Additional comment from katzj@redhat.com on 2006-03-27 14:45 EST --
*** Bug 186979 has been marked as a duplicate of this bug. ***

-- Additional comment from bugzilla.redhat.com@eusahues.co.uk on 2006-04-11
13:03 EST --
Boot with noprobe (linux noprobe)
manually add the e100 (if network install) and cpqarray drivers.
have a working box.

Without noprobe the symbios module (sym53c8xx) gets probed first, and if you
load cpqarray afterwards it doesn't see the card anymore.

-- Additional comment from kurt@cpifiber.com on 2006-04-12 11:45 EST --
Thanks, Euan. I installed this way and indeed the installer recognized the 
array and FC5 installed on the drive. However, It won't boot from the drive 
after the installation completes. Is there some parameter that must be set for 
grub to kick in? (The message is the usual "Non-system disk or disk error. 
Strike any key to continue").

-- Additional comment from yaneti@declera.com on 2006-10-06 21:57 EST --
See this bug I filed upstream
http://bugzilla.kernel.org/show_bug.cgi?id=7279 and the corresponding debian bug

This is still an issue with the latest rawhide kernels.

-- Additional comment from yaneti@declera.com on 2006-10-13 19:47 EST --
Created an attachment (id=138480)
proposed additional patch

This patch works for me here as far as sym53c8xx_2 doesn't incorrectly claim
the cpqarray raid. Also added to the kernel report.

-- Additional comment from davej@redhat.com on 2006-10-16 16:40 EST --

A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

-- Additional comment from yaneti@declera.com on 2006-10-16 17:02 EST --
Still an issue with upstream, see my previous comments.
In addition to the bug I've also posted to linux-scsi @ vger.

-- Additional comment from davej@redhat.com on 2006-10-16 17:18 EST --
Please try that kernel update, I added a cpqarray patch which might help.

-- Additional comment from yaneti@declera.com on 2006-10-16 18:00 EST --
If you mean 
Patch1106: linux-2.6-scsi-cpqarray-set-master.patch
its a different thing.

This bug is about sym53c8xx_2 claiming the 53C1510 integrated smartarray RAID
before cpqarray. During an install this leaves the user without recognized hard
disks.  So for FC5 the deal is already done, as you can't change the install
media retroactively.  Please read my kernel bug report.

-- Additional comment from yaneti@declera.com on 2006-10-16 18:03 EST --
And silly me forgot to add that attempting a latest rawhide install still has
the same issue on this compaq, so I am afraid the FC6 install media will still
carry this. Perhaps the bug should be moved a different version or something..

-- Additional comment from coldwell@redhat.com on 2006-10-30 15:51 EST --
This is very likely the same bug as bug 205653, fixed in RHEL-5.  I'll ping Dave
Jones and ask him to include that patch in the next FC-5 kernel.

Comment 1 Yanko Kaneti 2007-08-01 03:35:56 EDT
This finally got into linus' tree.

Note You need to log in before you can comment on or make changes to this bug.